.app-loading {
  flex-direction: column;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  overflow: hidden;

  .flag {
    background: url(../assets/images/favicon.png) center center no-repeat;
    height: 500px;
    width: 500px;
  }

  .spinner {
    animation: rotate 2s linear infinite;
    opacity: 1;
    bottom: 0;
    height: 200px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    transform-origin: center center;
    width: 200px;

    .path {
      animation: dash 10s ease-in-out infinite;
      stroke-dasharray: 1, 200;
      stroke-dashoffset: 0;
      stroke-linecap: round;
      stroke: #ddd;
    }
  }
}
